Classify SIC Industries
Map brands to SIC codes for finance, compliance, segmentation, and industry analysis.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Brand domain or title to retrieve SIC code for. If a valid domain is provided, it will be used for classification, otherwise, we will search for the brand using the provided title.
Which SIC dataset to classify against. original_sic uses the 1987 Standard Industrial Classification system; latest_sec uses the current SIC list as published by the SEC. Defaults to original_sic.
original_sic, latest_sec Minimum number of SIC codes to return. Must be at least 1. Defaults to 1.
1 <= x <= 10Maximum number of SIC codes to return. Must be between 1 and 10. Defaults to 5.
1 <= x <= 10Optional timeout in milliseconds for the request. If the request takes longer than this value, it will be aborted with a 408 status code. Maximum allowed value is 300000ms (5 minutes).
1000 <= x <= 300000Response
Successful response
Status of the response, e.g., 'ok'
Domain found for the brand
Industry classification type, for sic api it will be sic
Echoes back which SIC dataset was used to classify the brand.
original_sic, latest_sec Array of SIC codes with confidence scores. Extra fields depend on the requested classification: original_sic results include majorGroup and majorGroupName; latest_sec results include office.
Metadata about the API key used for the request. Included in every response whenever a valid API key is provided, even when the response status is not 200.